<ion-header>
  <ion-toolbar color="danger">
    <ion-buttons>
      <ion-button position="float" icon-only color="light" [routerLink]="['/view-staff']" ><ion-icon name="close"></ion-icon></ion-button>
      <ion-title>Update Contract</ion-title>
    </ion-buttons>
  </ion-toolbar>
</ion-header>
 
<ion-content >
    <form #form="ngForm" (ngSubmit)="updateContract(form)" method="post">
    <ion-list lines="inset" class="ion-no-margin ion-no-padding">
      <ion-list-header>
        Update the details of the contract:
      </ion-list-header>
      <ion-item>
        <ion-label position="stacked" color="danger">Date Start</ion-label>
        <ion-label>{{ staff_contract.date_start }}</ion-label>
      </ion-item>
      <ion-item>
        <ion-label position="stacked" color="danger">Date End</ion-label>
        <ion-label>{{ staff_contract.date_end }}</ion-label>
      </ion-item>
      <ion-item>
        <ion-label>Status</ion-label>
        <ion-select [(ngModel)]="staff_contract.status" name="status" okText="Okay" cancelText="Dismiss">
          <ion-select-option [value]="1">
            Active
          </ion-select-option>
          <ion-select-option [value]="0">
            Not active
          </ion-select-option>
        </ion-select>
      </ion-item>
      <ion-item>
        <ion-label position="stacked" color="danger">Salary</ion-label>
        <ion-input [(ngModel)]="staff_contract.salary" name="salary"  placeholder="Enter salary" required type="number">
        </ion-input>
      </ion-item>

    </ion-list>
    <ion-button expand="block" type="submit" color="danger" class="ion-padding ion-margin">Confirm</ion-button>
    </form>
 </ion-content>
